| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Digikam::TrackCorrelatorThread Class Reference
Inheritance diagram for Digikam::TrackCorrelatorThread:

## Signals
void | signalItemsCorrelated (const Digikam::TrackCorrelator::Correlation::List &correlatedItems)

## Public Member Functions
| TrackCorrelatorThread (QObject *const parent=nullptr)

## Public Attributes
bool | canceled = false
bool | doCancel = false
TrackManager::Track::List | fileList
TrackCorrelator::Correlation::List | itemsToCorrelate
TrackCorrelator::CorrelationOptions | options

## Protected Member Functions
void | run () override